Close part or all of a position
curl --request POST \
--url https://developers.fundingperpetuals.com/v1/positions/{position_id}/close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"type": "market",
"size": 123,
"expected_price": 123,
"slippage_tolerance_bps": 123,
"limit_price": 123,
"trigger_price": 123,
"trigger_market_id": "<string>",
"marketable_limit_acknowledged": true
}
'import requests
url = "https://developers.fundingperpetuals.com/v1/positions/{position_id}/close"
payload = {
"type": "market",
"size": 123,
"expected_price": 123,
"slippage_tolerance_bps": 123,
"limit_price": 123,
"trigger_price": 123,
"trigger_market_id": "<string>",
"marketable_limit_acknowledged": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: 'market',
size: 123,
expected_price: 123,
slippage_tolerance_bps: 123,
limit_price: 123,
trigger_price: 123,
trigger_market_id: '<string>',
marketable_limit_acknowledged: true
})
};
fetch('https://developers.fundingperpetuals.com/v1/positions/{position_id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"account_id": "<string>",
"market_id": "<string>",
"provider": "<string>",
"symbol": "<string>",
"coin": "<string>",
"size": 123,
"expected_price": 123,
"leverage": 123,
"reduce_only": true,
"requested_at": 123,
"initial_size": 123,
"filled_size": 123,
"fill_price": 123,
"trigger_price": 123,
"limit_price": 123,
"notional": 123,
"fee": 123,
"realized_pnl": 123,
"gtd_expires_at": 123,
"attached_take_profit_price": 123,
"attached_stop_loss_price": 123,
"chase_offset": 123,
"chase_cap_price": 123,
"trigger_market_id": "<string>",
"target_position_id": "<string>",
"partial_of_order_id": "<string>",
"partial_fill_root_order_id": "<string>",
"twap_order_id": "<string>",
"scaled_order_id": "<string>",
"reject_reason": "<string>",
"reject_rule_id": "<string>",
"settled_at": 123,
"canceled_at": 123
},
"queued": true
}{
"data": {
"id": "<string>",
"account_id": "<string>",
"market_id": "<string>",
"provider": "<string>",
"symbol": "<string>",
"coin": "<string>",
"size": 123,
"expected_price": 123,
"leverage": 123,
"reduce_only": true,
"requested_at": 123,
"initial_size": 123,
"filled_size": 123,
"fill_price": 123,
"trigger_price": 123,
"limit_price": 123,
"notional": 123,
"fee": 123,
"realized_pnl": 123,
"gtd_expires_at": 123,
"attached_take_profit_price": 123,
"attached_stop_loss_price": 123,
"chase_offset": 123,
"chase_cap_price": 123,
"trigger_market_id": "<string>",
"target_position_id": "<string>",
"partial_of_order_id": "<string>",
"partial_fill_root_order_id": "<string>",
"twap_order_id": "<string>",
"scaled_order_id": "<string>",
"reject_reason": "<string>",
"reject_rule_id": "<string>",
"settled_at": 123,
"canceled_at": 123
},
"queued": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "<string>",
"rule_id": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Positions
Close part or all of a position
Resolves the current position side, leverage, and margin mode on the server and submits a reduce-only market, limit, or conditional order. Omit size to close the complete current position.
POST
/
v1
/
positions
/
{position_id}
/
close
Close part or all of a position
Authorizations
API key beginning with fp_live_.
Headers
Unique printable key for this intended order. Reuse it only for an identical retry.
Required string length:
1 - 128Path Parameters
Body
application/json
Available options:
market, limit, conditional Omit to close the complete current position.
Available options:
above, below ⌘I